import os

MAX_INPUT_LENGTH = int(os.environ.get("MAX_INPUT_LENGTH", "1024"))
MAX_OUTPUT_LENGTH = int(os.environ.get("MAX_OUTPUT_LENGTH", "1024"))
BATCH_SIZE = int(os.environ.get("BATCH_SIZE", "4"))
WAIT_TIMEOUT = int(os.environ.get("WAIT_TIMEOUT", "1"))

REDIS_HOST = os.environ.get("REDIS_HOST", "redis")
REDIS_PORT = int(os.environ.get("REDIS_PORT", "6379"))
TEXT_TASK_CHANNEL = os.environ.get("TEXT_TASK_CHANNEL", "text_task_channel")
TEXT_RESULT_CHANNEL = os.environ.get("TEXT_RESULT_CHANNEL", "text_result_channel")

BASE_MODEL = os.environ.get("BASE_MODEL", "google/gemma-2-2b")
ADAPTER_DIR = os.environ.get("ADAPTER_DIR", "itqop/gemma-2-2b-summarize-adapter")
HF_TOKEN = os.environ.get("HF_TOKEN", "")